using System.Net.Mime;
using Telegram.Bots.Types;

namespace CasaBotApp;

public class BotCommand
{
    public string Command { get; set; } = "/example";
    public string Description { get; set; } = "Start the bot";
    public Func<Message, string, Task<Response<TextMessage>>> Responder { get; set; } = (_, _) => Task.FromResult<Response<TextMessage>>(null);
    public Func<TextMessage, BotCommand, Task>? Action { get; set; }
}